Subject: [Megaco] H.248 using RFC2833/RFC2198 and SRTP/MIKEY

From: "Kukosa, Tomas" <[email-masked]>
Date: Thu, 17 Jun 2010 10:59:24 +0200

Hello,

I start looking to H.248 protocol and studying what it can do and what can't.

I am not able to find any documents related to following topics/questions:

1) RFC2833/RFC2198
  - how the MGC can get RFC2833/RFC2198 capabilities from the MG? (used payload types, list of supported tones, ...)
  - how the MGC can put peer  RFC2833/RFC2198 capabilities to the MG termination?

2) SRTP/MIKEY
 - is there any document how to use MIKEY within H.248 to negotiate SRTP contexted between the MG and peer media endpoint ?(can be also H.248 MG but also any other kind of SRTP endpoint)

BTW I would prefer to use binary encoding of H.248 and if I understand it well it can not use SDP equivalent properties, is it right?

Thanks in advance for any hint.

Best regards,
  Tomas

---

From: "Schwarz Albrecht" <[email-masked]>
Date: Thu, 17 Jun 2010 14:02:02 +0200

to 1):
- RFC2833 is obsoleted by RFC 4733, ...! 
- just use the SDP elements as defined by the RFCs in the H.248 LD/RD
- it looks fairly strange to use H.248 binary encoding when such
SDP-controlled RTP capabilities are used in the IP domain; do you really
want to translate SDP text encoding at your MGC call control interface
in "SDP binary" format at H.248?

to 2):
- see Draft H.248.77 for H.248-controlled SRTP endpoints
- see 3GPP 23.334 and 29.334 as a first H.248 Profile with SRTP support

> negotiate SRTP contexted between the MG and peer media 
> endpoint ?(can be also H.248 MG but also any other kind of 

You refer to the IP media-path (RFC 5479) related keying methods for
SRTP.
Any procedures at the H.248 MG "IP media-path" interface are per se out
of scope of H.248.
If ... then subject of an H.248 profile specification.

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Kukosa, Tomas
> Sent: Donnerstag, 17. Juni 2010 10:59
> To: [email-masked]
> Subject: [Megaco] H.248 using RFC2833/RFC2198 and SRTP/MIKEY
> 
> Hello,
> 
>   - how the MGC can get RFC2833/RFC2198 capabilities from the 
> MG? (used payload types, list of supported tones, ...)
>  - is there any document how to use MIKEY within H.248 to 
> negotiate SRTP contexted between the MG and peer media 
> endpoint ?(can be also H.248 MG but also any other kind of 
> SRTP endpoint)
> 
> BTW I would prefer to use binary encoding of H.248 and if I 
> understand it well it can not use SDP equivalent properties, 
> is it right?
> 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/megaco
>

---

From: "Kukosa, Tomas" <[email-masked]>
Date: Fri, 18 Jun 2010 09:30:27 +0200

Hi,

thanky you for your response.

I would like to avoid SDP as it not my favorit protocol.

But I have not find any possibility how to map H.245 TCS to H.248.
Especially receiveRTPAudioTelephonyEventCapability and mediaPacketizationCapability.

I.e. my question does not come from SDP but from H.245 area.

Best regards,
  Tomas

-----Original Message-----
From: Schwarz Albrecht [mailto:[email-masked]] 
Sent: Thursday, June 17, 2010 2:02 PM
To: Kukosa, Tomas; [email-masked]
Subject: RE: [Megaco] H.248 using RFC2833/RFC2198 and SRTP/MIKEY

to 1):

to 2):

---

From: "Schwarz Albrecht" <[email-masked]>
Date: Sat, 19 Jun 2010 12:11:23 +0200

Sounds like a topic for H.248.12, if H.245-to-H.248 interworking
aspects, right?
Perhaps you need an extension/upversion of the H.248.12 H245 Package.
Do you terminate H.245 at MG or MGC level?
Did you already consider H.248.12?

> Sent: Freitag, 18. Juni 2010 09:30
> To: [email-masked]
> Subject: Re: [Megaco] H.248 using RFC2833/RFC2198 and SRTP/MIKEY
> 
> Hi,
> 
> - it looks fairly strange to use H.248 binary encoding when 
> such SDP-controlled RTP capabilities are used in the IP 
> domain; do you really want to translate SDP text encoding at 
> your MGC call control interface in "SDP binary" format at H.248?
> 
> to 2):
> endpoint ?(can 
> > be also H.248 MG but also any other kind of
> 
> You refer to the IP media-path (RFC 5479) related keying 
> methods for SRTP.
> Any procedures at the H.248 MG "IP media-path" interface are 
> per se out of scope of H.248.
> > I start looking to H.248 protocol and studying what it can 
> do and what 
> > can't.
> > 
> >   - how the MGC can get RFC2833/RFC2198 capabilities from the MG? 
> > (used payload types, list of supported tones, ...)
> >   - how the MGC can put peer  RFC2833/RFC2198 capabilities 
> to the MG 
> > termination?
> > 
> > 2) SRTP/MIKEY
> >  - is there any document how to use MIKEY within H.248 to negotiate 
> > SRTP contexted between the MG and peer media endpoint ?(can be also 
> > H.248 MG but also any other kind of SRTP endpoint)
> > 
> understand 
> > it well it can not use SDP equivalent properties, is it right?
> >

---

From: Christian Groves <[email-masked]>
Date: Mon, 21 Jun 2010 13:53:24 +1000

Hello Tomas,

There's no description on how to map H.245 TCS to H.248 as I think that 
it is commonly assumed that the MGC will receive the H.245 TCS directly 
or tunnelled through the MG (as provided by by H.248.12). The MGC will 
apply what ever logic is required and then issue the appropriate H.248 
commands. There is not necessary a 1:1 mapping of the information.

For example "receiveRTPAudioTelephonyEventCapability" broadly maps into 
H.248 ability to set events to detect tones (e.g. H.248.1  annex E.6) 
and to send signals to initiate tones (e.g. H.248.1 annex E.7). The 
method to indicate these is the same whether text or binary is used. The 
payload type can be specified by H.248.1 annex C.1 "rtppayload".

I do note that there have been a number of additions to H.245 in recent 
years to address additions to SDP. Neither H.248.1 Annex C nor H.248.12 
has been updated specifically for these. So any proposals for 
enhancements are welcome.

Regards, Christian

On 19/06/2010 8:11 PM, Schwarz Albrecht wrote:
> .

---

From: "Kukosa, Tomas" <[email-masked]>
Date: Mon, 21 Jun 2010 08:15:51 +0200

Hello Christian,

thank you very much for all your hints!

I will look at all mentioned documents and chapters.

Best regards,
  Tomas 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Christian Groves
Sent: Monday, June 21, 2010 5:53 AM
To: [email-masked]
Subject: Re: [Megaco] H.323/H.245 interworking (H.248.12); RE: H.248 using RFC2833/RFC2198 and SRTP/MIKEY

Hello Tomas,

Regards, Christian